Package org.eclipse.ecf.provider.generic

# Class ContainerMessage.CreateResponseMessage

java.lang.Object
org.eclipse.ecf.provider.generic.ContainerMessage.CreateResponseMessage

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ContainerMessage

public static final class ContainerMessage.CreateResponseMessage extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CreateResponseMessage(ID objID, Throwable except, long sequence)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getException()`
`long`
`getSequence()`
`ID`
`getSharedObjectID()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CreateResponseMessage

public CreateResponseMessage(ID objID, Throwable except, long sequence)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getException

public Throwable getException()

Returns:
  Returns the exception.

### getSequence

public long getSequence()

Returns:
  Returns the sequence.

### getSharedObjectID

public ID getSharedObjectID()

Returns:
  Returns the sharedObjectID.